<dir class="container ">
  <br><h1 class="text-center login-title">Fotobook Sign up</h1><br>
<div class="row ">
  <div class=" col-sm-6 col-sm-offset-3  col-lg-6 col-lg-offset-3 account-wall">
    <%= form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f| %>
      <% if resource.errors.any? %>
        <div class="alert alert-danger alert-dismissable">
          <%= resource.errors.full_messages.first %>
        </div>
      <% end %>
        <div class=" form-group col-lg-12 col-sm-10 col-lg-offset-3 col-sm-offset-1 ">
          <div id="image-upload" >
            <i class="fa fa-window-close fa-2x close-icon" aria-hidden="true" id = "close-new-icon"></i>
            <label for="file-input-photo" class="label-upload" id= "new-image">
              <img src="#" class="photo medium" id="output-new-photo">
            </label>
            <label for="file-input-photo" class="label-upload" id = "upload-new-photo"  >
              <i class="fa fa-plus" style="font-size:70px; color: #BDBDBD;" id = "plus-icon"></i>
            </label>
            <%= f.file_field :avatar, multiple: false, id: "file-input-photo", onchange: "document.getElementById('output-new-photo').src = window.URL.createObjectURL(this.files[0])", class: "form-group upload-img"%><br> 
          </div>
        </div>
      <div class="form-group">
        <%= f.label :first_name %>
        <%= f.text_field :first_name, class: 'form-control', autofocus: true, placeholder: 'First name',required: true %>
      </div>
      <div class="form-group">
        <%= f.label :last_name %>
        <%= f.text_field :last_name, class: 'form-control', autofocus: true, placeholder: 'Last name',required: true %>
      </div>
      <div class="form-group">
        <%= f.label :email %>
        <%= f.email_field :email, class: 'form-control', placeholder: 'email@example.com' ,required: true%>
      </div>
      <div class="form-group">
        <%= f.label :password %>
        <% if @minimum_password_length %>
          <em>(<%= @minimum_password_length %> characters minimum)</em>
        <% end %><br>
        <%= f.password_field :password, class: 'form-control', autocomplete: 'off', placeholder: 'password',required: true %>
      </div>
      <div class="form-group">
        <%= f.label :password_confirmation %>
        <%= f.password_field :password_confirmation, class: 'form-control', autocomplete: 'off', placeholder: 'password confirmation',required: true %>
      </div>
      <div class="actions">
        <%= f.submit 'Sign up', class: 'btn btn-success btn-lg btn-size' %>
      </div>
    <% end %>
     <%= render 'devise/shared/form_login_social' %>
    <br>
  </div>
</div>
</dir>
